Getnet DocsGetnet Docs

Create Biometric PIX

POST/dpm/payments-gwproxy/v2/payments/biometric/pix

__Generate Payment with Biometric PIX__<br><br> This endpoint processes payment data and instantly creates a unique Biometric PIX. Upon successful payment by the customer, the merchant receives a **real-time HTTP notification** for confirmation. For details on handling confirmation, refer to the **"PIX Notifications"** section in **Notifications 1.1**.<br><br> **Notes:**<br> - Biometric PIX authenticates the payer through Open Finance before the payment completes.<br> - A `201` response can still carry a business-level `ERROR` status. Check `status` in the response body.

Header Parameters

x-seller-idstringrequired

Unique identifier of the commercial establishment (seller) registered on the Getnet platform.

x-biometric-expiration-timenumber

It is possible to customize the expiration time of the biometric by entering the desired time in seconds, if it is not informed the operation will go with the default value of 180s, The maximum value for expiration time is 1800s

Body application/json

amountintegerrequired

Purchase value in cents. It must be an integer.

currencystringrequired

Currency identification (See code in <a href="https://docs.globalgetnet.com/es/articles/currency-codes">this</a> section).

order_idstring

Purchase identification code used by e-commerce (code or order number).

idempotency_keystringrequired

Idempotency key, used to control requests, must be unique per request, because if it is repeated, it will always be returned the same data.

customerobjectrequired
Show customer properties
document_numberstringrequired

Customer tax ID.

namestringrequired

Customer name.

Response

Biometric PIX created

payment_idstring<uuid>

Unique identifier for the created payment.

statusstring

The current status of the payment.

descriptionstring

A message confirming the biometric payment generation.

additional_dataobject

Contains payment specific data, including the PIX details.

Show additional_data properties
transaction_idstring<uuid>

Internal transaction identifier.

jsr_urlstring

URL for JSR redirect.

creation_datestring<date-time>

Timestamp of when the PIX was created.

expiration_datestring<date-time>

Timestamp of when the biometric will expire.

psp_codestring

The PSP (Payment Service Provider) code used for the transaction.

idempotency_keystring<uuid>

Unique key used to ensure a payment request is processed only once.

Bad Request

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

Unauthorized

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

Not Found

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

Internal Server Error

messagestring

Detailed error message.

namestring

Name of the module or system in which the error occurred.

status_codeinteger<int32>

HTTP status code of the error.

detailsobject[]

Error details.

Show details properties
statusstring

Error situation.

error_codestring

Error code.

descriptionstring

Description of the error.

description_detailstring

Detailed description of the error.

Request
curl -X POST "https://api.pre.globalgetnet.com/dpm/payments-gwproxy/v2/payments/biometric/pix" \
  -H "Content-Type: application/json" \
  -H "x-seller-id: <x-seller-id>" \
  -H "x-biometric-expiration-time: <x-biometric-expiration-time>" \
  -d '{
  "amount": 8900,
  "currency": "BRL",
  "order_id": "ORDER-10187383",
  "idempotency_key": "1eb2412c-165a-41cd-b1d9-76c575d30a21",
  "customer": {
    "document_number": "29718971092",
    "name": "João Silva"
  }
}'
Response
{
  "payment_id": "03ec0ede-3bc9-42dd-a71b-1c3a670b2b89",
  "status": "WAITING",
  "description": "The biometric payment has been successfully generated and is awaiting payment.",
  "additional_data": {
    "transaction_id": "890005df15a2-0b1e-4c6e-8ece-11a71070be06",
    "jsr_url": "https://ob-hosted-payment-page.hml.linaob.com.br/payments?paymentLinkId=3b54d7fd-42f9-49a4-a8d7-eef965f01b79",
    "creation_date": "2025-10-20T18:55:55",
    "expiration_date": "2025-10-20T18:58:58",
    "psp_code": "0033"
  },
  "idempotency_key": "e757d73e-fbdb-40ee-a72b-6f06f19c7a27"
}